<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.datarecovery.master.module.homepage.FunctionBean" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingVertical="6dp">

        <ImageView
            imageRes="@{bean.functionIcon}"
            android:id="@+id/iv_function_img"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toTopOf="@+id/tv_function_name"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed"
            tools:src="@drawable/icon_home_page_file_recovery" />

        <TextView
            android:text="@{bean.functionName}"
            android:id="@+id/tv_function_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:textColor="#202020"
            android:textSize="13sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@+id/iv_function_img"
            app:layout_constraintStart_toStartOf="@+id/iv_function_img"
            app:layout_constraintTop_toBottomOf="@+id/iv_function_img"
            tools:text="文件恢复" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>